//
//  ViewController.m
//  SideBarScrollView
//
//  Created by SunLi on 16/7/2.
//  Copyright © 2016年 lb. All rights reserved.
//

#import "ViewController.h"
#import "SideBarController.h"

// 屏幕大小尺寸
#define SCREENWIDTH [UIScreen mainScreen].bounds.size.width
#define SCREENHEIGHT [UIScreen mainScreen].bounds.size.height

@interface ViewController ()<SideBarControllerDelegate>
{
    //left slide
    SideBarController *sideBar;
    BOOL isFirstAppear;
}
@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view, typically from a nib.
     [self initRightSlide];
    self.view.backgroundColor = [UIColor lightGrayColor];
    UITapGestureRecognizer *singleTap = [[UITapGestureRecognizer alloc] initWithTarget:self action:@selector(mapTapGesture)];
    self.view.userInteractionEnabled = YES;
    [self.view addGestureRecognizer:singleTap];
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}
- (void)viewWillAppear:(BOOL)animated{
    [super viewWillAppear:animated];
    //插入滑动Window视图
    if (!isFirstAppear){
        isFirstAppear = YES;
        [sideBar insertMenuButtonOnView:self.view yLoc:64 height:SCREENHEIGHT-113];
        [sideBar showMenu];
    }
}
- (void)viewWillDisappear:(BOOL)animated{
    [super viewWillDisappear:animated];
    
    //关闭右边的sideBar
    if (sideBar.isOpen){
        [sideBar dismissMenu];
    }
}

- (void)mapTapGesture{
    //关闭右边的sideBar
    if (sideBar.isOpen){
        [sideBar dismissMenu];
    }else{
        [sideBar showMenu];
    }
}

/**右侧滑动菜单***/
- (void)initRightSlide{
    
    NSArray *imageList = @[[UIImage imageNamed:@"other"], [UIImage imageNamed:@"special"], [UIImage imageNamed:@"construction"], [UIImage imageNamed:@"nopark"], [UIImage imageNamed:@"walkingman"], [UIImage imageNamed:@"repair"], [UIImage imageNamed:@"Abandoned"], [UIImage imageNamed:@"lusunguanli"], [UIImage imageNamed:@"projectlist"]];
    sideBar = [[SideBarController alloc] initWithImages:imageList];
    sideBar.delegate = self;
}

#pragma mark init right sliddeBarController delegate

- (void)menuButtonClicked:(NSInteger)index{
    NSLog(@"Click index:%zd", index);
}
@end
